>From 2f9caa7268402fe4b25d669094594402eaa26819 Mon Sep 17 00:00:00 2001
From: Michael Friedrich <michael.friedrich@univie.ac.at>
Date: Fri, 7 Jan 2011 09:18:11 +0100
Subject: [PATCH] fix inline declarations in trends.cgi from previous patch

---
 cgi/trends.c |   14 ++++++++++----
 1 files changed, 10 insertions(+), 4 deletions(-)

diff --git a/cgi/trends.c b/cgi/trends.c
index 9f3f481..60dde4d 100644
--- a/cgi/trends.c
+++ b/cgi/trends.c
@@ -266,6 +266,12 @@ int main(int argc, char **argv){
        time_t t3;
        time_t current_time;
        struct tm *t;
+       time_t old_t1;
+       time_t old_t2;
+       archived_state *temp_as;
+       time_t problem_t1=0;
+       time_t problem_t2=0;
+       time_t margin;
 
 
        /* reset internal CGI variables */
@@ -365,7 +371,8 @@ int main(int argc, char **argv){
                }
                        
        if(mode==CREATE_HTML && display_header==TRUE){
-               time_t old_t1=t1, old_t2=t2;
+               old_t1=t1;
+               old_t2=t2;
 
                /* begin top table */
                printf("<table border=0 width=100%% cellspacing=0 cellpadding=0>\n");
@@ -384,8 +391,8 @@ int main(int argc, char **argv){
                display_info_table(temp_buffer,FALSE,&current_authdata);
 
                if (timeperiod_type==TIMEPERIOD_NEXTPROBLEM) {
-                       archived_state *temp_as;
-                       time_t problem_t1, problem_t2=0;
+                       problem_t1=0;
+                       problem_t2=0;
 
                        t1=t2;
                        t2=current_time;
@@ -427,7 +434,6 @@ int main(int argc, char **argv){
                                }
                        }
                        if(problem_found==TRUE) {
-                               time_t margin;
 
                                if (problem_t2==0){
                                        margin=12*60*60;
-- 
1.7.1.1


